# Uses of Interface
org.apache.zookeeper.metrics.GaugeSet

Packages that use GaugeSet
Package
Description
org.apache.zookeeper.metrics
org.apache.zookeeper.metrics.impl

## Uses of GaugeSet in org.apache.zookeeper.metrics

Methods in org.apache.zookeeper.metrics with parameters of type GaugeSet
Modifier and Type
Method
Description
`void`
MetricsContext.`registerGaugeSet(String name, GaugeSet gaugeSet)`
Registers a user provided `GaugeSet` which will be called by the MetricsProvider in order to sample number values.

## Uses of GaugeSet in org.apache.zookeeper.metrics.impl

Methods in org.apache.zookeeper.metrics.impl with parameters of type GaugeSet
Modifier and Type
Method
Description
`void`
NullMetricsProvider.NullMetricsContext.`registerGaugeSet(String name, GaugeSet gaugeSet)`